FreeHandParserInternal::LineStyle Struct Reference documentation

FreeHandParserInternal::LineStyle Struct Reference

small structure of FreeHandParserInternal used to stored a line style More...

## Public Member Functions
| LineStyle ()
| constructor

## Public Attributes
float | m_width
| the line width
int | m_colorId
| the color id
int | m_dashId
| the dash id
MWAWGraphicStyle::Pattern | m_pattern
| the pattern
float | m_miterLimit
| the miter limit
MWAWGraphicStyle::LineCap | m_cap
| the line cap
MWAWGraphicStyle::LineJoin | m_join
| the line join

## Detailed Description

small structure of FreeHandParserInternal used to stored a line style

## Constructor & Destructor Documentation

## ◆ LineStyle()

FreeHandParserInternal::LineStyle::LineStyle | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_cap

MWAWGraphicStyle::LineCap FreeHandParserInternal::LineStyle::m_cap

the line cap

Referenced by LineStyle(), FreeHandParser::readLineStyle(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_colorId

int FreeHandParserInternal::LineStyle::m_colorId

the color id

Referenced by LineStyle(), FreeHandParser::readLineStyle(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_dashId

int FreeHandParserInternal::LineStyle::m_dashId

the dash id

Referenced by LineStyle(), FreeHandParser::readLineStyle(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_join

MWAWGraphicStyle::LineJoin FreeHandParserInternal::LineStyle::m_join

the line join

Referenced by LineStyle(), FreeHandParser::readLineStyle(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_miterLimit

float FreeHandParserInternal::LineStyle::m_miterLimit

the miter limit

Referenced by LineStyle(), and FreeHandParser::readLineStyle().

## ◆ m_pattern

MWAWGraphicStyle::Pattern FreeHandParserInternal::LineStyle::m_pattern

the pattern

Referenced by LineStyle(), FreeHandParser::readLineStyle(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_width

float FreeHandParserInternal::LineStyle::m_width

the line width

Referenced by LineStyle(), FreeHandParser::readLineStyle(), and FreeHandParserInternal::State::updateLineStyle().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx